Skip to content

ExternalAccount⁠

Perform various operations on external account records.

Operations⁠

searchExternalAccountPagedSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/searchExternalAccountPagedSelectFields
POST /nexum/627/2022.01/account/searchExternalAccountPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "Query": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllExternalAccountFields": false,
    "ExternalAccountFields": {
      "Locator": true,
      "AcctType": true,
      "Number": true,
      "Rt": true,
      "FinancialInstitutionName": true,
      "Status": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateExternalAccountByID⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

ExternalAccountLocatorintegeroptional
AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/updateExternalAccountByID
POST /nexum/627/2022.01/account/updateExternalAccountByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "ExternalAccountLocator": 0,
  "ExternalAccountUpdatableFields": {
    "AcctType": 0,
    "Number": "0",
    "Rt": "0",
    "FinancialInstitutionName": "string",
    "PrimaryAccountHolderName": "string",
    "Status": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createExternalAccount⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/createExternalAccount
POST /nexum/627/2022.01/account/createExternalAccount HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "ExternalAccountCreatableFields": {
    "AcctType": 0,
    "Number": "0",
    "Rt": "0",
    "FinancialInstitutionName": "string",
    "PrimaryAccountHolderName": "string",
    "Status": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteExternalAccount⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
ExternalAccountLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/deleteExternalAccount
POST /nexum/627/2022.01/account/deleteExternalAccount HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "ExternalAccountLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}